diff -ruN tetex-src-2.0.1/Makefile.in tetex-src-2.0.1-patched/Makefile.in
--- tetex-src-2.0.1/Makefile.in	Sun Feb  2 04:48:11 2003
+++ tetex-src-2.0.1-patched/Makefile.in	Thu Feb 20 18:43:52 2003
@@ -60,18 +60,18 @@
 	done
 	$(srcdir)/selfautofix "$(bindir)" "$(texmf)/web2c"
 	cd $(bindir); for i in $(ALLPROGS); do test -f $$i && echo strip $$i && strip $$i || true; done
-	if test -f $(scriptdir)/mktexlsr; then \
-	  TEXMFMAIN=$(texmf) PATH=$(scriptdir):$(bindir):$(PATH) \
-	    $(scriptdir)/mktexlsr; \
-	else :; fi
-	if test -f $(scriptdir)/fmtutil; then \
-	  TEXMFMAIN=$(texmf) PATH=$(scriptdir):$(bindir):$(PATH) \
-	    $(scriptdir)/fmtutil --all; \
-	else :; fi
-	if test -f $(scriptdir)/texlinks; then \
-	  TEXMFMAIN=$(texmf) PATH=$(scriptdir):$(bindir):$(PATH) \
-	    $(scriptdir)/texlinks; \
-	else :; fi
+#	if test -f $(scriptdir)/mktexlsr; then \
+#	  TEXMFMAIN=$(texmf) PATH=$(scriptdir):$(bindir):$(PATH) \
+#	    $(scriptdir)/mktexlsr; \
+#	else :; fi
+#	if test -f $(scriptdir)/fmtutil; then \
+#	  TEXMFMAIN=$(texmf) PATH=$(scriptdir):$(bindir):$(PATH) \
+#	    $(scriptdir)/fmtutil --all; \
+#	else :; fi
+#	if test -f $(scriptdir)/texlinks; then \
+#	  TEXMFMAIN=$(texmf) PATH=$(scriptdir):$(bindir):$(PATH) \
+#	    $(scriptdir)/texlinks; \
+#	else :; fi
 
 install-exec:
 	for dir in $(ESUBDIRS); do \
diff -ruN tetex-src-2.0.1/README.fink tetex-src-2.0.1-patched/README.fink
--- tetex-src-2.0.1/README.fink	Wed Dec 31 19:00:00 1969
+++ tetex-src-2.0.1-patched/README.fink	Thu Feb 20 18:50:10 2003
@@ -0,0 +1,86 @@
+             README for Fink package: @PACKAGE@
+
+The Fink package for teTeX 2.0 follows Thomas Esser's distribution quite
+closely.  This file provides some advice for users, and documents the
+differences between the Fink package and the upstream version.
+
+MISSING ITEMS
+
+The following things are removed from the teTeX package because they are
+supplied elsewhere in the Fink system: texinfo (supplied in Fink's texinfo
+package), and readlink (supplied in Fink's debianutils package).
+
+TETEX PACKAGES IN FINK
+
+As of teTeX 2.0, a Fink user will find the following teTeX packages
+available to be installed on the system: 
+  tetex-texmf, tetex-base, tetex-dev, tetex-shlibs, tetex-nox, tetex.
+
+The "tetex" package replaces the former "bundle-tetex" package, and
+installs everything that is needed.
+
+The "tetex-nox" package is an alternative to this which does not depend on
+the X11 libraries.  Users of this package should be sure to also install
+the "texinfo" and "debianutils" packages, which are not installed by
+default.
+
+The "tetex-texmf", "tetex-shlibs", and "tetex-base" packages are various
+components of the teTeX system, and will be installed when needed.  The
+"tetex-dev" package is used when certain other TeX related packages are
+being compiled, but is not needed when programs are run.
+
+CONFIGURING TETEX
+
+Users can adjust the configuration of their copy of teTeX by running the
+program "texconfig".  The configuration files are stored in the directory
+@PREFIX@/var/lib/texmf .
+
+INSTALLING MORE TEX STYLE FILES, ETC.
+
+Users can install any private TeX style files, or TeX macro packages which
+they haven't installed via Fink or don't wish to share with other users of
+their computer, in the directory
+  ~/Library/texmf
+(i.e., a folder named texmf within the Library folder in the user's Home).
+Each user would need to create the corresponding directory if they wished
+to put things into it.
+
+If the user's ~/Library/texmf directory contains many files, it can be
+indexed with "mktexlsr ~/Library/texmf", which will speed up searching.
+Once this has been done, it must be done again any time something new is
+added to the directory (or else the file ~/Library/texmf/ls-R can be
+removed instead, to turn off the indexing of this directory).
+
+USING THE "ORIGINAL" XDVI
+
+Although teTeX comes with a version of xdvi installed (often called xdvik),
+some users may prefer to use the "original" xdvi program maintained by Paul
+Vojta.  This can be accomplished by installing Fink's xdvi package along
+side of tetex-base.  When this has been done, Vojta's package is called by
+the command "xdvi", whereas the teTeX-supplied package is called by the
+command "xdvik".
+
+USING AN UPDATED TEXI2HTML
+
+The texi2html program supplied with teTeX is not the most up-to-date one.
+If you want a more up-to-date one, install Fink's texi2html package.
+
+TECHNICAL NOTE: SHARED LIBRARIES
+
+Fink's tetex packages are built using shared libraries, by patching teTeX
+to make this possible.  We will be working with the teTeX maintainers to
+get these patches moved "upstream" for some future teTeX release.
+
+TECHNICAL NOTE: PATCHES
+
+In addition to the patch for shared libraries (a patch to klibtool), the
+Makefile is patched so as to prevent execution of the final configuration
+step (which in the Fink system is handled in a PostInstall script), and
+texmf.in is patched to implement the choices of directories and provide
+support for Paul Vojta's xdvi.  Finally, this README.fink file is supplied
+via a patch. 
+
+
+                                            Dave Morrison
+                                            <dmrrsn@users.sourceforge.net>
+                                            21 February 2003
diff -ruN tetex-src-2.0.1/texk/klibtool tetex-src-2.0.1-patched/texk/klibtool
--- tetex-src-2.0.1/texk/klibtool	Mon Nov 11 04:43:05 2002
+++ tetex-src-2.0.1-patched/texk/klibtool	Thu Feb 20 18:43:52 2003
@@ -322,6 +322,10 @@
         ;;
 
       *-*-darwin*)
+        shared_support=true
+        shared_ext=dylib
+        args_SHARED_compile='-fPIC -fno-common'
+        args_SHARED_archive='-dynamiclib -install_name @PREFIX@/lib/$lib_basename -compatibility_version $verstring -current_version $verstring'
         STATIC_postinstall='$STATIC_ranlib $libdir/$lib_basename'
         ;;
 
@@ -412,7 +416,7 @@
                 $verbose "$0: running $0 version $newarg."
                 verstring=`$0 version $newarg`
                 $verbose "$0: got version $verstring."
-                libname=`echo $newarg | sed 's/\.a$/\.'$shared_ext$verstring/`
+                libname=`echo $newarg | sed 's/\.a$/\.'$verstring'\.'$shared_ext/`
               else
                 libname=$newarg
               fi
@@ -422,7 +426,7 @@
                 lib_dir=.
               fi
               lib_basename=`basename $libname`
-              lib_base=`echo $lib_basename | sed 's/[.0-9]*$//'`
+              lib_base=`echo $lib_basename | sed 's/[.0-9]*\./\./'`
               
               # We might have to run a command after making the library.
               post=
@@ -609,7 +613,7 @@
         case $ot in
           SHARED) # needs shared extension and version number.
             verstring=`$0 version $arg`
-            libname=`echo $arg | sed 's/\.la$/\.'$shared_ext$verstring/`
+            libname=`echo $arg | sed 's/\.la$/\.'$verstring'\.'$shared_ext/`
             ;;
           STATIC) # just get rid of the `l'.
             libname=`echo $arg | sed 's/l\(.\)$/\1/'`
@@ -628,7 +632,7 @@
         #
         if test $ot = SHARED; then
           # Link libfoo.so to libfoo.so.1.2.3.
-          lib_base=`echo $lib_basename | sed 's/[.0-9]*$//'`          
+          lib_base=`echo $lib_basename | sed 's/[.0-9]*\./\./'`          
           $verbose "$0: linking $libdir/$lib_base to $lib_basename"
           (cd $libdir && rm -f $lib_base && ln -s $lib_basename $lib_base)
         fi
@@ -694,7 +698,7 @@
       exit 1
     fi
     $verbose "$0: dir = $dir, libname = $libname."
-    version=`awk '$1 == "'$libname'" { print "." $2 "." $3 "." $4 }' $verfile`
+    version=`awk '$1 == "'$libname'" { print $2 "." $3 "." $4 }' $verfile`
     $verbose "$0: version for $libname = $version."
     echo $version
     ;;
diff -ruN tetex-src-2.0.1/texk/kpathsea/texmf.in tetex-src-2.0.1-patched/texk/kpathsea/texmf.in
--- tetex-src-2.0.1/texk/kpathsea/texmf.in	Sun Jan 19 06:58:27 2003
+++ tetex-src-2.0.1-patched/texk/kpathsea/texmf.in	Thu Feb 20 18:48:58 2003
@@ -62,10 +62,10 @@
 
 % If defined, teTeX's texconfig stores modifications here (instead of the
 % TEXMFMAIN tree).
-%   VARTEXMF = @texmf@-var
+VARTEXMF = @PREFIX@/var/lib/texmf
 
 % User texmf trees can be catered for like this...
-HOMETEXMF = $HOME/texmf
+HOMETEXMF = $HOME/Library/texmf
 
 % Now, list all the texmf trees. If you have multiple trees you can
 % use shell brace notation, like this:
@@ -74,7 +74,7 @@
 %   - list $VARTEXMF in the TEXMF definition;
 %   - make sure that $VARTEXMF precedes $TEXMFMAIN in the TEXMF definition.
 % TEXMF = $TEXMFMAIN
-TEXMF = {$HOMETEXMF,!!$TEXMFLOCAL,!!$TEXMFMAIN}
+TEXMF = {$HOMETEXMF,!!$TEXMFLOCAL,!!$VARTEXMF,!!$TEXMFMAIN}
 
 % The system trees.  These are the trees that are shared by all the users.
 SYSTEXMF = $TEXMF
@@ -82,14 +82,14 @@
 % Where generated fonts may be written.  This tree is used when the sources
 % were found in a system tree and either that tree wasn't writable, or the
 % varfonts feature was enabled in MT_FEATURES in mktex.cnf.
-VARTEXFONTS = @vartexfonts@
+VARTEXFONTS = $VARTEXMF/fonts
 
 % Where to look for ls-R files.  There need not be an ls-R in the
 % directories in this path, but if there is one, Kpathsea will use it.
 %
 % Remove $VARTEXFONTS from TEXMFDBS if the VARTEXFONTS directory is below
 % one of the TEXMF directories (avoids overlapping ls-R files).
-TEXMFDBS = $TEXMF;$VARTEXFONTS
+TEXMFDBS = $TEXMF
 
 % It may be convenient to define TEXMF like this:
 %   TEXMF = {$HOMETEXMF,!!$TEXMFLOCAL,!!$TEXMFMAIN,$HOME}
@@ -110,6 +110,11 @@
 %   VARTEXFONTS = $VARTEXMF/fonts
 % and do not mention it in TEXMFDBS (but _do_ mention VARTEXMF).
 
+% Additional lines for use by xdvi:
+PKFONTS.XDvi    = .:$TEXMF/%s:$VARTEXFONTS/pk/{%m,modeless}//
+VFFONTS.XDvi    = .:$TEXMF/%s
+PSHEADERS.XDvi  = .:$TEXMF/%q{dvips,fonts/type1}//
+TEXPICTS.XDvi   = .:$TEXMF/%q{dvips,tex}//
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 % Usually you will not need to edit any of the other variables in part 1. %
